> ## Documentation Index
> Fetch the complete documentation index at: https://docs.forestreet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# iFrame Integration

> Integrate Forestreet into your internal applications using an iFrame.

Forestreet can be integrated into your internal applications using an iFrame. This allows you to use Forestreet's
features within your existing applications without needing to build a separate UI.

An iFrame integration is possible with the following steps:

<Steps>
  <Step title="Create a login session with your API Key">
    Your application backend should call
    the [`GET /v2/auth/session`](/api-reference/endpoints/auth/get-session-id) endpoint to create a timed session with your API Key. This
    will return a session ID token.

    <Warning>
      <p>Do not perform this step on the client-side, as it exposes your API Key. Always ensure that this step is performed securely on the server-side.</p>
      <p><strong>Forestreet reserves the right to revoke API Keys that are suspected to have leaked.</strong></p>
    </Warning>
  </Step>

  <Step title="Embed the iFrame">
    Your application backend then
    embeds an iFrame in your application frontend, with the Session ID appended to the URL
    as a query parameter. The URL should look like this:

    ```html iframe-integration.html theme={null}
    <iframe
      src="https://ailsa.forestreet.com/path/to/page?sessionId=<session_id>"
      width="100%"
      height="600px"
      frameborder="0"
    />
    ```
  </Step>

  <Step title="Use the iFrame">
    The iFrame will load the Forestreet application, using the timed session
    to authenticate the user. Authentications for any subsequent requests within the iFrame will be
    handled automatically by Forestreet's frontend.
  </Step>
</Steps>

# Pages suitable for iFrame integration

These are common pages that can be embedded in an iFrame:

* [Supplier Dossier](/api-reference/ui-components/supplier-dossier)
